## Index

### Classes

- ByzcoinSignature
- ForwardLink
- SkipBlock

### Variables

- BDN_INDEX
- BLS_INDEX
- EMPTY_BUFFER
- Mask
- bdn
- bls

### Functions

- defaultThreshold
- int2buf

## Variables

### Const BDN_INDEX

BDN_INDEX: 1 = 1

- Defined in src/skipchain/skipblock.ts:11

### Const BLS_INDEX

BLS_INDEX: 0 = 0

- Defined in src/skipchain/skipblock.ts:10

### Const EMPTY_BUFFER

EMPTY_BUFFER: Buffer = Buffer.allocUnsafe(0)

- Defined in src/skipchain/skipblock.ts:8

### Mask

Mask: Mask

- Defined in src/skipchain/skipblock.ts:13

### bdn

bdn: "/home/travis/build/dedis/cothority/external/js/cothority/node_modules/@dedis/kyber/sign/bdn/index"

- Defined in src/skipchain/skipblock.ts:13

### bls

bls: "/home/travis/build/dedis/cothority/external/js/cothority/node_modules/@dedis/kyber/sign/bls/index"

- Defined in src/skipchain/skipblock.ts:13

## Functions

### defaultThreshold

- defaultThreshold(n: number): number

- - Defined in src/skipchain/skipblock.ts:115

  Compute the minimum number of signatures an aggregate must have according to the total number of nodes

  #### Parameters

  - ##### n: number

    The total numner of conodes

  #### Returns number

  the minimum number of signatures required

### int2buf

- int2buf(v: number): Buffer

- - Defined in src/skipchain/skipblock.ts:21

  Convert an integer into a little-endian buffer

  #### Parameters

  - ##### v: number

    The number to convert

  #### Returns Buffer

  a 32bits buffer

Generated using TypeDoc